Made to order · item JJ0522284
Custom Printed Bath Curtain
Personalize this bath curtain design with your own image, choose a size, and order a made-to-order printed curtain.
$29.99
Polyester · single-sided thermal transfer · 12 C-hooks included
Personalize it
One curtain.
Your story.
Upload a high-resolution photo, artwork or logo. Your preview changes instantly. Choose a size and add it to your bag when ready.
JPG, PNG or WebP. Recommended 1533 × 3000 px.
Check the image and select your preferred curtain size.
We make your curtain after checkout and ship it to you.
Design collection
Shop custom bath curtains
Peddinghaus 1/72 Airco DH.2 Markings British Aces from No.24 Sqn RFC WWI #1 4414
Custom print bath curtain
From $29.99Peddinghaus 1/72 Sopwith Camel Markings RAF Italy WWI (choice from 3 vers.) 3811
Custom print bath curtain
From $29.99Peddinghaus 1/48 Nieuport 17 & 23 Markings British Aces No.29 No.40 Sqn RFC 4312
Custom print bath curtain
From $29.99Peddinghaus 1/72 Airco DH.2 Markings British Aces from No.24 Sqn RFC WWI #2 4415
Custom print bath curtain
From $29.99Peddinghaus 1/72 Airco DH.2 Markings British Aces from No.24 No.32 Sqn WWI 4416
Custom print bath curtain
From $29.99Peddinghaus Decals 1:72 3990 Sopwith Dolphin Aces of WWI 87 Sqn RAF Early
Custom print bath curtain
From $29.99Peddinghaus Decals 1/72 4416 Airco DH.2 Aces of 29 & 32 Sqn RFC Water-Slide
Custom print bath curtain
From $29.99Peddinghaus 1/72 Nieuport 17 & 23 Markings WWI British Aces of No.1 Sqn RFC 4113
Custom print bath curtain
From $29.99Peddinghaus 1/48 Nieuport 17 & 23 Markings WWI Albert Ball (4 plane opts.) 4300
Custom print bath curtain
From $29.99Peddinghaus 1/48 Sopwith Camel Markings RFC Italy WWI (choice from 3 vers.) 3815
Custom print bath curtain
From $29.99Peddinghaus 1/72 Nieuport 17 & 23 Markings WWI British Aces No.60 Sqn RFC 4114
Custom print bath curtain
From $29.99Peddinghaus 1/72 Sopwith Camel Markings RFC Italy WWI (choice from 3 vers.) 3814
Custom print bath curtain
From $29.99Peddinghaus 1/48 Nieuport 17 & 23 Markings WWI British Aces of No.1 Sqn RFC 4310
Custom print bath curtain
From $29.99Peddinghaus 1/72 Nieuport 17 & 23 Markings British Aces No.29 No.40 Sqn RFC 4115
Custom print bath curtain
From $29.99Peddinghaus 1/72 Nieuport 24 & 27 Markings WWI British Aces (4 planes) 4477
Custom print bath curtain
From $29.99Peddinghaus 1/48 Sopwith Camel Markings RAF Italy WWI (choice from 3 vers.) 3812
Custom print bath curtain
From $29.99Peddinghaus 1/48 Nieuport 17 & 23 Markings WWI British Aces No.60 Sqn RFC 4311
Custom print bath curtain
From $29.99Peddinghaus 1/48 Nieuport 24 & 27 Markings WWI British Aces (4 planes) 4478
Custom print bath curtain
From $29.99Peddinghaus 1/48 Sopwith Dolphin Markings WWI #1 No.87 Squadron RFC Early 3994
Custom print bath curtain
From $29.99Peddinghaus 1/48 Nieuport 17 Biplane Markings WWI French Aces #5 (3 planes) 4304
Custom print bath curtain
From $29.99Product details
Designed for everyday use.
Materials & construction +
Polyester fabric with single-sided thermal-transfer printing, stainless-steel eyelets and 12 C-shaped plastic hooks. The opaque curtain helps create privacy and reduce water splashes.
Care instructions +
Hand wash or machine wash. Do not soak for extended periods, bleach, or wash above 45°C.
Print & size notes +
Final color, print position and measurements can vary slightly due to production methods. A 2–4 cm measurement variation is normal.